Skip to main content
PUT
Update Prompts

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Body

application/json

Prompt metadata defines a prompt template used by AI assistants for document processing.

changeSequence
integer<int32>

Optimistic locking version number.

deprecated
boolean

Whether this prompt is deprecated.

extensionPackRef
string
metadata
unknown
name
string

Display name of the prompt.

orgSlug
string
organization
object | null
publicAccess
boolean

Whether the prompt is publicly accessible.

ref
string
slug
string

URL-friendly identifier for the prompt.

template
boolean

Whether this prompt is a template.

type
string
uri
string

Computed resource URI (scheme://orgSlug/slug), present on serialized responses.

yamlSource
string | null

Response

Updated Prompts

Prompt metadata defines a prompt template used by AI assistants for document processing.

changeSequence
integer<int32>
required

Optimistic locking version number.

createdOn
string<date-time>
required

Timestamp when the prompt was created.

deleted
boolean
required
deprecated
boolean
required

Whether this prompt is deprecated.

id
string
required

Unique identifier (UUID) for the prompt.

metadata
unknown
required
name
string
required

Display name of the prompt.

organizationId
string
required
publicAccess
boolean
required

Whether the prompt is publicly accessible.

slug
string
required

URL-friendly identifier for the prompt.

template
boolean
required

Whether this prompt is a template.

updatedOn
string<date-time>
required

Timestamp when the prompt was last updated.

uuid
string
required

Secondary UUID identifier.

deleteUserEmail
string | null
deleteUserId
string | null
deletedDate
string<date-time> | null
extensionPackRef
string
orgSlug
string
organization
object | null
ref
string
type
string
uri
string

Computed resource URI (scheme://orgSlug/slug), present on serialized responses.

yamlSource
string | null